package com.lz.modules.sys.dao.app;
/**
* <p>
* 绩效评论表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-10
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.sys.entity.app.ResultComment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultCommentMapper extends BaseMapper<ResultComment> {


	ResultComment selectResultCommentById(@Param("id")Long id);


	Long insertResultComment(ResultComment resultComment);


	int updateResultCommentById(ResultComment resultComment);


	int updateCoverResultCommentById(ResultComment resultComment);


	int deleteResultCommentById(@Param("id")Long id);


	List<ResultComment> selectByRecordId(@Param("recordId") Long recordId);

	ResultComment selectLastComment(@Param("recordId") Long recordId);


    int updateResultCommentCommentById(@Param("commandId") Long commandId, @Param("commandValue") String commandValue);
}